<template>
<div class="icon" :class="[`icon--${name}`, `icon--${size}`, { 'has-align-fix': fixAlign }]">
    <component class="icon__svg" :is="name"></component>
</div>
</template>

<script>
//svg
import bold_tiptap from "@/assets/svg/taptaip-icons/bold.svg?inline";
import italic_tiptap from "@/assets/svg/taptaip-icons/italic.svg?inline";
import strike_tiptap from "@/assets/svg/taptaip-icons/strike.svg?inline";
import underline_tiptap from "@/assets/svg/taptaip-icons/underline.svg?inline";
import code_tiptap from "@/assets/svg/taptaip-icons/code.svg?inline";
import paragraph_tiptap from "@/assets/svg/taptaip-icons/paragraph.svg?inline";
import bullet_list_tiptap from "@/assets/svg/taptaip-icons/ul.svg?inline";
import ordered_list_tiptap from "@/assets/svg/taptaip-icons/ol.svg?inline";
import blockquote_tiptap from "@/assets/svg/taptaip-icons/quote.svg?inline";
import horizontal_rule_tiptap from "@/assets/svg/taptaip-icons/hr.svg?inline";
import undo_tiptap from "@/assets/svg/taptaip-icons/undo.svg?inline";
import redo_tiptap from "@/assets/svg/taptaip-icons/redo.svg?inline";
export default {
    props: {
        name: {},
        size: {
            default: "normal",
        },
        modifier: {
            default: null,
        },
        fixAlign: {
            default: true,
        },
    },
    components: {
        bold_tiptap,
        italic_tiptap,
        strike_tiptap,
        underline_tiptap,
        code_tiptap,
        paragraph_tiptap,
        bullet_list_tiptap,
        ordered_list_tiptap,
        blockquote_tiptap,
        horizontal_rule_tiptap,
        undo_tiptap,
        redo_tiptap,
    },
};
</script>

<style lang="scss" scoped>
.icon {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    width: 0.8rem;
    height: 0.8rem;
    margin: 0 0.3rem;
    top: -0.05rem;
    fill: currentColor;

    // &.has-align-fix {
    // 	top: -.1rem;
    // }

    &__svg {
        display: inline-block;
        vertical-align: top;
        width: 100%;
        height: 100%;
    }

    &:first-child {
        margin-left: 0;
    }

    &:last-child {
        margin-right: 0;
    }
}

// svg sprite
body>svg,
.icon use>svg,
symbol {

    path,
    rect,
    circle,
    g {
        fill: currentColor;
        stroke: none;
    }

    *[d="M0 0h24v24H0z"] {
        display: none;
    }
}
</style>
